CUPTI (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.46. CUpti_ModuleResourceData Struct Reference

## [CUPTI Callback API]

CUDA module data passed into a resource callback function as the `cbdata` argument to CUpti_CallbackFunc. The `cbdata` will be this type for `domain` equal to CUPTI_CB_DOMAIN_RESOURCE. The module data is valid only within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of that data.

### Public Variables

size_t cubinSize
uint32_t moduleId
const char * pCubin

### Variables

size_t CUpti_ModuleResourceData::cubinSize [inherited]

  The size of the cubin.

uint32_t CUpti_ModuleResourceData::moduleId [inherited]

  Identifier to associate with the CUDA module.

const char * CUpti_ModuleResourceData::pCubin [inherited]

  Pointer to the associated cubin.